package market.Lms.Warehouse.vo;

import java.io.Serializable;
import java.util.Date;

import market.Lms.Warehouse.mapper.YdmProductButtresslistMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="YDM_PRODUCT_BUTTRESSLIST", namespace=YdmProductButtresslistMapper.class)
public class YdmProductButtresslist extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@Column
	//剁位编码
	private String buttressno;
	public String  getButtressno() {
		return this.buttressno;
	}
	public void setButtressno(String buttressno) {
		this.buttressno = buttressno;
	}

	@Column
	//层
	private int layer;
	public int  getLayer() {
		return this.layer;
	}
	public void setLayer(int layer) {
		this.layer = layer;
	}

	@Column
	//位置
	private int locality;
	public int  getLocality() {
		return this.locality;
	}
	public void setLocality(int locality) {
		this.locality = locality;
	}

	@Column
	//仓库编码
	private String storageattr;
	public String  getStorageattr() {
		return this.storageattr;
	}
	public void setStorageattr(String storageattr) {
		this.storageattr = storageattr;
	}

	@Column
	//区域编码
	private String areano;
	public String  getAreano() {
		return this.areano;
	}
	public void setAreano(String areano) {
		this.areano = areano;
	}

	@Column
	//卷号
	private String coilno;
	public String  getCoilno() {
		return this.coilno;
	}
	public void setCoilno(String coilno) {
		this.coilno = coilno;
	}

	@Column
	//箱号
	private String boxno;
	public String  getBoxno() {
		return this.boxno;
	}
	public void setBoxno(String boxno) {
		this.boxno = boxno;
	}

	@Column
	//记录创建者
	private String creater;
	public String  getCreater() {
		return this.creater;
	}
	public void setCreater(String creater) {
		this.creater = creater;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//记录创建日期
	private Date createdate;
	public Date  getCreatedate() {
		return this.createdate;
	}
	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	@Column
	//记录修改者
	private String updater;
	public String  getUpdater() {
		return this.updater;
	}
	public void setUpdater(String updater) {
		this.updater = updater;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//记录修改时间
	private Date updatedate;
	public Date  getUpdatedate() {
		return this.updatedate;
	}
	public void setUpdatedate(Date updatedate) {
		this.updatedate = updatedate;
	}
	
	private String maxlayer;	
	public String getMaxlayer() {
		return maxlayer;
	}
	public void setMaxlayer(String maxlayer) {
		this.maxlayer = maxlayer;
	}
	
	private String maxloc;
	public String getMaxloc() {
		return maxloc;
	}
	public void setMaxloc(String maxloc) {
		this.maxloc = maxloc;
	}
	
	private String tlayer;
	public String getTlayer() {
		return tlayer;
	}
	public void setTlayer(String tlayer) {
		this.tlayer = tlayer;
	}
	
	private String tcolwidth;
	public String getTcolwidth() {
		return tcolwidth;
	}
	public void setTcolwidth(String tcolwidth) {
		this.tcolwidth = tcolwidth;
	}
	

}
